<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Classes  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
    <script src="js/lunr.min.js" defer></script>
    <script src="js/typeahead.jquery.js" defer></script>
    <script src="js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Section/Classes" class="dashAnchor"></a>
    <a title="Classes  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html">madme_ios_sdk 6.2.1 Docs</a></p>
        <div class="header-right">
          <form role="search" action="search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html">madme_ios_sdk Reference</a>
        <img id="carat" src="img/carat.png" alt=""/>
        Classes  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/AES.html">AES</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/AES/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/AES/Variant.html">– Variant</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/AES/Encryptor.html">– Encryptor</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMAdPresentationError.html">MMAdPresentationError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMCampaign.html">MMCampaign</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMError.html">MMError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMGenericUserAccountStatusChangeContext.html">MMGenericUserAccountStatusChangeContext</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMHomeScreenOption.html">MMHomeScreenOption</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMNotificationProcessingError.html">MMNotificationProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMPrivateInitObject.html">MMPrivateInitObject</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMSdk.html">MMSdk</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMUrlProcessingError.html">MMUrlProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMUrlSessionEventsProcessingError.html">MMUrlSessionEventsProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:@M@madme_ios_sdk@objc(cs)MMViewedNoSurveyNoRatingCampaignContext">MMViewedNoSurveyNoRatingCampaignContext</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/BlockMode.html">BlockMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/CipherError.html">CipherError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMAdPresentationMode.html">MMAdPresentationMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMAdPresentationResultState.html">MMAdPresentationResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMAggregateQualifier.html">MMAggregateQualifier</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMHomeScreenOptionType.html">MMHomeScreenOptionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMNotificationProcessingResultState.html">MMNotificationProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMUrlProcessingResultState.html">MMUrlProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMUrlSessionEventsProcessingResultState.html">MMUrlSessionEventsProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMUserAccountStatus.html">MMUserAccountStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums.html#/PKCS7">PKCS7</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/Padding.html">Padding</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Extensions/Array.html">Array</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/MMCarouselCollectionViewController">MMCarouselCollectionViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/MMGeoFencingCampaignDetailsViewController">MMGeoFencingCampaignDetailsViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/MMPlist">MMPlist</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/NSNotification.html">NSNotification</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/Notification.html">Notification</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/Notification/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/SecureBytes">SecureBytes</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/UIControl">UIControl</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/UINavigationController.html">UINavigationController</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols/Cipher.html">Cipher</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/Cryptors.html">Cryptors</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMAdPresentationResultProtocol.html">MMAdPresentationResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProtocol">MMCampaignContextProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProviderProtocol">MMCampaignContextProviderProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMClientIdentityProviderProtocol.html">MMClientIdentityProviderProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMNotificationProcessingResultProtocol.html">MMNotificationProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMSdkDelegateProtocol">MMSdkDelegateProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUrlProcessingResultProtocol.html">MMUrlProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUrlSessionEventsProcessingResultProtocol.html">MMUrlSessionEventsProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUserAccountStatusChangeContextProtocol.html">MMUserAccountStatusChangeContextProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUserAccountStatusDelegateProtocol.html">MMUserAccountStatusDelegateProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/PaddingProtocol.html">PaddingProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/Updatable.html">Updatable</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Structs/Digest.html">Digest</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Typealiases.html#/s:13madme_ios_sdk12MMIdentifiera">MMIdentifier</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Classes</h1>
            <p>The following classes are available globally.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMNotificationListCampaignDetailsViewController"></a>
                <a name="//apple_ref/swift/Section/MMNotificationListCampaignDetailsViewController" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMNotificationListCampaignDetailsViewController"></a>
                  <h3 class="section-name"><span>MMNotificationListCampaignDetailsViewController</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMGenericUserAccountStatusChangeContext"></a>
                    <a name="//apple_ref/swift/Class/MMGenericUserAccountStatusChangeContext" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMGenericUserAccountStatusChangeContext">MMGenericUserAccountStatusChangeContext</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Identifies a generic (default) context of a user account status change.</p>

                        <a href="Classes/MMGenericUserAccountStatusChangeContext.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">class</span> <span class="kt">MMGenericUserAccountStatusChangeContext</span><span class="p">:</span> <span class="kt"><a href="Classes/MMPrivateInitObject.html">MMPrivateInitObject</a></span><span class="p">,</span>
    <span class="kt"><a href="Protocols/MMUserAccountStatusChangeContextProtocol.html">MMUserAccountStatusChangeContextProtocol</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMAggregateQualifier"></a>
                <a name="//apple_ref/swift/Section/MMAggregateQualifier" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMAggregateQualifier"></a>
                  <h3 class="section-name"><span>MMAggregateQualifier</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMSdk"></a>
                    <a name="//apple_ref/swift/Class/MMSdk" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMSdk">MMSdk</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>mAdme SDK wrapper. Not meant to be instantiated by apps. Please use the sharedInstance singleton instead.</p>

                        <a href="Classes/MMSdk.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">final</span> <span class="kd">class</span> <span class="kt">MMSdk</span> <span class="p">:</span> <span class="kt"><a href="Classes/MMPrivateInitObject.html">MMPrivateInitObject</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMCampaign"></a>
                    <a name="//apple_ref/swift/Class/MMCampaign" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMCampaign">MMCampaign</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Describes a mAdme campaign.</p>

                        <a href="Classes/MMCampaign.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">final</span> <span class="kd">class</span> <span class="kt">MMCampaign</span> <span class="p">:</span> <span class="kt">NSObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMViewedNoSurveyNoRatingCampaignContext"></a>
                    <a name="//apple_ref/swift/Class/MMViewedNoSurveyNoRatingCampaignContext" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMViewedNoSurveyNoRatingCampaignContext">MMViewedNoSurveyNoRatingCampaignContext</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Default campaign context implementation.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">final</span> <span class="kd">class</span> <span class="kt">MMViewedNoSurveyNoRatingCampaignContext</span> <span class="p">:</span> <span class="kt">NSObject</span><span class="p">,</span> <span class="kt"><a href="Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProtocol">MMCampaignContextProtocol</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMError"></a>
                    <a name="//apple_ref/swift/Class/MMError" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMError">MMError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Generic base class for mAdme SDK errors. Not meant to be initialized by applications.</p>

                        <a href="Classes/MMError.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">class</span> <span class="kt">MMError</span> <span class="p">:</span> <span class="kt">NSError</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMHomeScreenOption"></a>
                <a name="//apple_ref/swift/Section/MMHomeScreenOption" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMHomeScreenOption"></a>
                  <h3 class="section-name"><span>MMHomeScreenOption</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/"></a>
                    <a name="//apple_ref/swift/Class/MMHomeScreenOption" class="dashAnchor"></a>
                    <a class="token" href="#/">MMHomeScreenOption</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Defines an option on the home screen view controller.</p>

                        <a href="Classes/MMHomeScreenOption.html" class="slightly-smaller">See more</a>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMAdPresentationError"></a>
                <a name="//apple_ref/swift/Section/MMAdPresentationError" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMAdPresentationError"></a>
                  <h3 class="section-name"><span>MMAdPresentationError</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMAdPresentationError"></a>
                    <a name="//apple_ref/swift/Class/MMAdPresentationError" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMAdPresentationError">MMAdPresentationError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Defines a set of potential mAdme ad-presentation errors. Not meant to be initialized by applications.</p>

                        <a href="Classes/MMAdPresentationError.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">final</span> <span class="kd">class</span> <span class="kt">MMAdPresentationError</span> <span class="p">:</span> <span class="kt"><a href="Classes/MMError.html">MMError</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMNotificationProcessingError"></a>
                <a name="//apple_ref/swift/Section/MMNotificationProcessingError" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMNotificationProcessingError"></a>
                  <h3 class="section-name"><span>MMNotificationProcessingError</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMNotificationProcessingError"></a>
                    <a name="//apple_ref/swift/Class/MMNotificationProcessingError" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMNotificationProcessingError">MMNotificationProcessingError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Defines a set of potential mAdme notification-processing errors. Not meant to be initialized by applications.</p>

                        <a href="Classes/MMNotificationProcessingError.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">final</span> <span class="kd">class</span> <span class="kt">MMNotificationProcessingError</span> <span class="p">:</span> <span class="kt"><a href="Classes/MMError.html">MMError</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMUrlProcessingError"></a>
                <a name="//apple_ref/swift/Section/MMUrlProcessingError" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMUrlProcessingError"></a>
                  <h3 class="section-name"><span>MMUrlProcessingError</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMUrlProcessingError"></a>
                    <a name="//apple_ref/swift/Class/MMUrlProcessingError" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMUrlProcessingError">MMUrlProcessingError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Defines a set of potential mAdme url-processing errors. Not meant to be initialized by applications.</p>

                        <a href="Classes/MMUrlProcessingError.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">final</span> <span class="kd">class</span> <span class="kt">MMUrlProcessingError</span> <span class="p">:</span> <span class="kt"><a href="Classes/MMError.html">MMError</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMUrlSessionEventsProcessingError"></a>
                <a name="//apple_ref/swift/Section/MMUrlSessionEventsProcessingError" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMUrlSessionEventsProcessingError"></a>
                  <h3 class="section-name"><span>MMUrlSessionEventsProcessingError</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMUrlSessionEventsProcessingError"></a>
                    <a name="//apple_ref/swift/Class/MMUrlSessionEventsProcessingError" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMUrlSessionEventsProcessingError">MMUrlSessionEventsProcessingError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Defines a set of potential mAdme url-session events processing errors. Not meant to be initialized by applications.</p>

                        <a href="Classes/MMUrlSessionEventsProcessingError.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">final</span> <span class="kd">class</span> <span class="kt">MMUrlSessionEventsProcessingError</span> <span class="p">:</span> <span class="kt"><a href="Classes/MMError.html">MMError</a></span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Reading%20XML%2FJSON%20files"></a>
                <a name="//apple_ref/swift/Section/Reading XML/JSON files" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Reading%20XML%2FJSON%20files"></a>
                  <h3 class="section-name"><span>Reading XML/JSON files</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@objc(cs)MMPrivateInitObject"></a>
                    <a name="//apple_ref/swift/Class/MMPrivateInitObject" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@objc(cs)MMPrivateInitObject">MMPrivateInitObject</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Base class for private-init classes. Not meant to be instantiated by applications.</p>

                        <a href="Classes/MMPrivateInitObject.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">class</span> <span class="kt">MMPrivateInitObject</span> <span class="p">:</span> <span class="kt">NSObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/"></a>
                    <a name="//apple_ref/swift/Class/AES" class="dashAnchor"></a>
                    <a class="token" href="#/">AES</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The Advanced Encryption Standard (AES)</p>

                        <a href="Classes/AES.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          
                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2022 <a class="link" href="http://www.mad-me.com" target="_blank" rel="external noopener">mAdme</a>. All rights reserved. (Last updated: 2022-07-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.2</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
